<?php

global $page, $template;

$query = '
SELECT  t.id , tt.color
FROM ' . typetags_TABLE . ' AS tt
INNER JOIN ' . TAGS_TABLE . ' AS t
ON  t.id_typetags = tt.id
WHERE  t.id_typetags IS NOT NULL ;';

$result = pwg_query($query);
$tagsColor = array();
while ($row = mysql_fetch_assoc($result))
{
  $tagsColor[$row['id']] = $row['color'];
}

if (isset($page['display_mode']) and $page['display_mode'] == 'letters')
{
  $letters = $template->get_template_vars('letters');
  $template->clear_assign('letters');

  foreach ($letters as $letter)
  {
    foreach ($letter['tags'] as $key => $tag)
    {
      if (isset($tagsColor[$tag['id']]))
      {
        $letter['tags'][$key]['name'] = '<span style="color:' . $tagsColor[$tag['id']] . ';">' . $tag['name'] . '</span>';
      }
    }
    $template->append('letters', $letter);
  }
}
else
{
  $tags = $template->get_template_vars('tags');
  $template->clear_assign('tags');

  foreach ($tags as $tag)
  {
    if (isset($tagsColor[$tag['id']]))
    {
      $tag['name'] = '<span style="color:' . $tagsColor[$tag['id']] . '">' . $tag['name'] . '</span>';
    }
    $template->append('tags', $tag);
  }
}

// Suppression des liens souligns
$template->block_html_head('', '<style>#fullTagCloud a, .tagLetter a { border: none; }</style>', $smarty, $repeat);

?>